
DECLARE @@ConstraintToDropSQL varchar(1000) = 
(select 'ALTER TABLE [DW].[dCountryRegion] DROP CONSTRAINT IF EXISTS ['+ o.name +']' from sysobjects o 
inner join syscolumns c
on o.id = c.cdefault
inner join sysobjects t
on c.id = t.id
where o.xtype = 'D'
and c.name = 'RowID'
and t.name = 'dCountryRegion')

exec(@@ConstraintToDropSQL)

ALTER TABLE DW.dCountryRegion ALTER COLUMN RowID bigint
ALTER TABLE DW.dHotelReservations ALTER COLUMN Country nvarchar(100)
ALTER TABLE DW.dHotelRooms ALTER COLUMN Description nvarchar(2000)
ALTER TABLE DW.dItemVariant ALTER COLUMN Description nvarchar(100)
ALTER TABLE DW.dLocation ALTER COLUMN LocationName nvarchar(100)
ALTER TABLE DW.dLocation ALTER COLUMN ReportingStoreName nvarchar(100)
ALTER TABLE DW.dReturnReason ALTER COLUMN Description nvarchar(100)

